library attribute_directives.lowercase_directive;

import 'dart:async';
import 'dart:html' as html;
import 'package:angular2/core.dart';

@Directive(selector: '[foLowercase]')
class LowercaseDirective implements OnInit
{
  LowercaseDirective(this._er);

  void ngOnInit()
  {
    html.Element nativeElement = _er.nativeElement;
    _input = nativeElement.querySelector("input");
  }

  @HostListener('keyup')
  void onInput()
  {
    new Timer(const Duration(milliseconds: 50), ()
    {
      print(_input.value);
      _input.value = _input.value.toLowerCase();
      _input.dispatchEvent(new html.Event("input"));
    });
  }

  @HostListener('blur')
  void onBlur()
  {
    _input.value = _input.value.toLowerCase();
    _input.dispatchEvent(new html.Event("input"));
  }

  final ElementRef _er;
  html.InputElement _input;


}